com.brightcove.player.captioning

## Class PreviewThumbnailFormat

- java.lang.Object
- - com.brightcove.player.captioning.PreviewThumbnailFormat

- All Implemented Interfaces:
    java.io.Serializable

      public class PreviewThumbnailFormat
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PreviewThumbnailFormat` | `EMPTY`
    `static int` | `UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreviewThumbnailFormat(android.net.Uri uri, int width, int height, int bandwidth)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getBandwidth()`
    `int` | `getHeight()`
    `android.net.Uri` | `getUri()`
    `int` | `getWidth()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final PreviewThumbnailFormat EMPTY

    - #### UNDEFINED

          public static final int UNDEFINED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PreviewThumbnailFormat

          public PreviewThumbnailFormat(@NonNull
                                        android.net.Uri uri,
                                        int width,
                                        int height,
                                        int bandwidth)

  - ### Method Detail

    - #### getUri

          @NonNull
          public android.net.Uri getUri()

    - #### getWidth

          public int getWidth()

    - #### getHeight

          public int getHeight()

    - #### getBandwidth

          public int getBandwidth()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`